Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.worklist.xml
Interface BusinessDateType

All Superinterfaces:
  XmlObject, XmlTokenSource

    public interface BusinessDateType

extends XmlObject

An XML businessDateType(@http://www.bea.com/wli/worklist/xml). This is a complex type.

Nested Class Summary
`static class` | `BusinessDateType.Factory` A factory class with static methods for creating instances of this type.

Field Summary
`static SchemaType` | `type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Method Summary
`CalendarType` | `addNewCalendar()` Appends and returns a new empty "calendar" element
`CalendarType` | `getCalendar()` Gets the "calendar" element
`int` | `getDay()` Gets the "day" element
`int` | `getHour()` Gets the "hour" element
`int` | `getMin()` Gets the "min" element
`int` | `getMonth()` Gets the "month" element
`boolean` | `isSetCalendar()` True if has "calendar" element
`boolean` | `isSetDay()` True if has "day" element
`boolean` | `isSetHour()` True if has "hour" element
`boolean` | `isSetMin()` True if has "min" element
`boolean` | `isSetMonth()` True if has "month" element
`void` | `setCalendar(CalendarType calendar)` Sets the "calendar" element
`void` | `setDay(int day)` Sets the "day" element
`void` | `setHour(int hour)` Sets the "hour" element
`void` | `setMin(int min)` Sets the "min" element
`void` | `setMonth(int month)` Sets the "month" element
`void` | `unsetCalendar()` Unsets the "calendar" element
`void` | `unsetDay()` Unsets the "day" element
`void` | `unsetHour()` Unsets the "hour" element
`void` | `unsetMin()` Unsets the "min" element
`void` | `unsetMonth()` Unsets the "month" element
`XmlInt` | `xgetDay()` Gets (as xml) the "day" element
`XmlInt` | `xgetHour()` Gets (as xml) the "hour" element
`XmlInt` | `xgetMin()` Gets (as xml) the "min" element
`XmlInt` | `xgetMonth()` Gets (as xml) the "month" element
`void` | `xsetDay(XmlInt day)` Sets (as xml) the "day" element
`void` | `xsetHour(XmlInt hour)` Sets (as xml) the "hour" element
`void` | `xsetMin(XmlInt min)` Sets (as xml) the "min" element
`void` | `xsetMonth(XmlInt month)` Sets (as xml) the "month" element

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Field Detail

### type

    static final SchemaType type

Method Detail

### getMonth

    int getMonth()

  Gets the "month" element

### xgetMonth

    XmlInt xgetMonth()

  Gets (as xml) the "month" element

### isSetMonth

    boolean isSetMonth()

  True if has "month" element

### setMonth

    void setMonth(int month)

  Sets the "month" element

### xsetMonth

    void xsetMonth(XmlInt month)

  Sets (as xml) the "month" element

### unsetMonth

    void unsetMonth()

  Unsets the "month" element

### getDay

    int getDay()

  Gets the "day" element

### xgetDay

    XmlInt xgetDay()

  Gets (as xml) the "day" element

### isSetDay

    boolean isSetDay()

  True if has "day" element

### setDay

    void setDay(int day)

  Sets the "day" element

### xsetDay

    void xsetDay(XmlInt day)

  Sets (as xml) the "day" element

### unsetDay

    void unsetDay()

  Unsets the "day" element

### getHour

    int getHour()

  Gets the "hour" element

### xgetHour

    XmlInt xgetHour()

  Gets (as xml) the "hour" element

### isSetHour

    boolean isSetHour()

  True if has "hour" element

### setHour

    void setHour(int hour)

  Sets the "hour" element

### xsetHour

    void xsetHour(XmlInt hour)

  Sets (as xml) the "hour" element

### unsetHour

    void unsetHour()

  Unsets the "hour" element

### getMin

    int getMin()

  Gets the "min" element

### xgetMin

    XmlInt xgetMin()

  Gets (as xml) the "min" element

### isSetMin

    boolean isSetMin()

  True if has "min" element

### setMin

    void setMin(int min)

  Sets the "min" element

### xsetMin

    void xsetMin(XmlInt min)

  Sets (as xml) the "min" element

### unsetMin

    void unsetMin()

  Unsets the "min" element

### getCalendar

    CalendarType getCalendar()

  Gets the "calendar" element

### isSetCalendar

    boolean isSetCalendar()

  True if has "calendar" element

### setCalendar

    void setCalendar(CalendarType calendar)

  Sets the "calendar" element

### addNewCalendar

    CalendarType addNewCalendar()

  Appends and returns a new empty "calendar" element

### unsetCalendar

    void unsetCalendar()

  Unsets the "calendar" element

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD